Delete a keyspace
curl --request DELETE \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Database branch keyspaces
Delete a keyspace
Authorization
A service token must have at least one of the following access in order to use this API endpoint:
Service Token Accesses
delete_branch, delete_production_branch
DELETE
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
keyspaces
/
{keyspace}
Delete a keyspace
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the branch belongs to
The name of the database the branch belongs to
The name of the branch
The name of the keyspace
Response
Delete a keyspace
⌘I

